Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.cache
Class CacheException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.jboss.util.NestedException
                  org.jboss.cache.CacheException

All Implemented Interfaces:
  org.jboss.util.NestedThrowable, Serializable

Direct Known Subclasses:
  LockingException, NodeNotExistsException, TimeoutException

public class CacheException
extends org.jboss.util.NestedException

CacheException, mother of all cache exceptions

Version:
  $Revision: 1.12.2.2 $

  Revisions:

  Dec 27 2002 Bela Ban: first implementation

  Jan 20 2003 Bela Ban: extend NestedException (otherwise build with JDK 1.3 fails)

Author:
  Bela Ban.
See Also:
  Serialized Form

Nested Class Summary

Nested classes inherited from class org.jboss.util.NestedThrowable
`org.jboss.util.NestedThrowable.Util`

Field Summary

Fields inherited from class org.jboss.util.NestedException
`nested`

Fields inherited from interface org.jboss.util.NestedThrowable
`DETECT_DUPLICATE_NESTING, NESTED_TRACE_ENABLED, PARENT_TRACE_ENABLED`

Constructor Summary
`CacheException()`
`CacheException(String msg)`
`CacheException(String msg, Throwable cause)`

Methods inherited from class org.jboss.util.NestedException
`getCause, getMessage, getNested, printStackTrace, printStackTrace, printStackTrace`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getStackTrace, initCause, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CacheException

    public CacheException()

### CacheException

    public CacheException(String msg)

### CacheException

    public CacheException(String msg,
                          Throwable cause)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.